| GET | /RestApi/recycle-bin/items/{id}/validaterestore |
|---|
"use strict";
export class RecycelBinItemRequestBase {
/** @param {{Id?:string}} [init] */
constructor(init) { Object.assign(this, init) }
/** @type {string} */
Id;
}
export class ModalMessageProxy {
/** @param {{IsRecoverable?:boolean,HeaderText?:string,BodyText?:string,ActionButtonText?:string,HasCancelButton?:boolean}} [init] */
constructor(init) { Object.assign(this, init) }
/** @type {boolean} */
IsRecoverable;
/** @type {string} */
HeaderText;
/** @type {string} */
BodyText;
/** @type {string} */
ActionButtonText;
/** @type {boolean} */
HasCancelButton;
}
export class GetRecycleBinItemValidation extends RecycelBinItemRequestBase {
/** @param {{Id?:string}} [init] */
constructor(init) { super(init); Object.assign(this, init) }
}
JavaScript GetRecycleBinItemValidation DTOs
To override the Content-type in your clients, use the HTTP Accept Header, append the .other suffix or ?format=other
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/recycle-bin/items/{id}/validaterestore HTTP/1.1
Host: www.imglobal.com
Accept: text/jsonl
HTTP/1.1 200 OK
Content-Type: text/jsonl
Content-Length: length
{"isRecoverable":false,"headerText":"String","bodyText":"String","actionButtonText":"String","hasCancelButton":false}